> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepinfra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Live Metrics

> Get the latest values for the Live metrics section on the web front page.



## OpenAPI

````yaml https://api.deepinfra.com/openapi.json get /v1/metrics/live
openapi: 3.1.0
info:
  title: DeepInfra API
  description: >-
    The DeepInfra API provides serverless AI inference, custom model
    deployments, and GPU rentals.
  version: 1.0.0
servers:
  - url: https://api.deepinfra.com
security: []
tags:
  - name: Chat Completions
    description: OpenAI and Anthropic-compatible chat completion endpoints for LLMs.
  - name: Text Completions
    description: OpenAI-compatible text completion endpoints.
  - name: Embeddings
    description: Generate text embeddings for search and RAG.
  - name: Image Generation
    description: Generate, edit, and create variations of images.
  - name: Audio
    description: OpenAI-compatible speech synthesis, transcription, and translation.
  - name: Text to Speech
    description: ElevenLabs-compatible TTS endpoints and voice management.
  - name: Inference
    description: Native DeepInfra inference API for models and deployments.
  - name: Dedicated Models
    description: Deploy and manage private model instances with autoscaling.
  - name: GPU Rentals
    description: Rent dedicated GPU containers.
  - name: Models
    description: Browse, search, and manage AI models.
  - name: Files & Batches
    description: File uploads and batch processing.
  - name: LoRA Adapters
    description: Create, manage, and query LoRA adapter models.
  - name: Agents
    description: Manage agent-framework instances (OpenClaw and friends).
  - name: Account
    description: User profile, team management, and rate limits.
  - name: Authentication
    description: API tokens, SSH keys, scoped JWTs, and login flows.
  - name: Billing
    description: Payment methods, usage tracking, and billing.
  - name: Logs & Metrics
    description: Query inference logs, deployment logs, and usage metrics.
  - name: Utilities
    description: Feedback submission and CLI version.
paths:
  /v1/metrics/live:
    get:
      tags:
        - Logs & Metrics
      summary: Get Live Metrics
      description: >-
        Get the latest values for the Live metrics section on the web front
        page.
      operationId: get_live_metrics_v1_metrics_live_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebLiveMetricsOut'
components:
  schemas:
    WebLiveMetricsOut:
      properties:
        tokens_per_second:
          anyOf:
            - type: number
            - type: 'null'
          title: Tokens Per Second
          description: Tokens per second
        time_to_first_token:
          anyOf:
            - type: number
            - type: 'null'
          title: Time To First Token
          description: Time to first token in seconds
        requests_per_second:
          anyOf:
            - type: number
            - type: 'null'
          title: Requests Per Second
          description: Requests per second
        total_tflops:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Tflops
          description: Total TFLOPS
      type: object
      required:
        - tokens_per_second
        - time_to_first_token
        - requests_per_second
        - total_tflops
      title: WebLiveMetricsOut

````